Summary: Elysium GNU/Linux Utilities Library
Name: libelysium
Version: 0.99.5
Release: 1
Copyright: LGPL
Group: System/Libraries
Source: libelysium-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Conflicts: encompass-uri

%description
Utility library for applications in the Elysium GNU/Linux distribution.

%package devel
Summary: Elysium GNU/Linux Utilities Library Development Files
Group: System/Libraries/Development
Requires: %{name} = %{version}-%{release}
Requires: glib2-devel
Conflicts: encompass-uri-devel

%description devel
Libraries and includes files used for developing Elysium GNU/Linux applications

%prep
%setup

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%post 
if ! grep %{_libdir} /etc/ld.so.conf > /dev/null ; then
  echo "%{_libdir}" >> /etc/ld.so.conf
fi
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc

%changelog
* Thu May 23 2002 Rodney Dawes <dobey@free.fr>
- glib 2.0 port

* Sun Mar 17 2002 Rodney Dawes <dobey@free.fr>
- Added libelysium.pc stuff and fixed up the spec file

* Wed Oct 03 2001 Rodney Dawes <dobey@free.fr>
- Initial libelysium spec file (renamed library from encompass-uri)
